Bug 82110 - Improve "Do you want to save" dialog.
Improve "Do you want to save" dialog.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-17 12:27 EST by Owen Taylor
Modified: 2008-01-17 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2003-01-17 12:27:37 EST
When you exit redhat-config-printer without saving, it puts up a
dialog something like (from memory, and I was using it in German):

 [Warning] Do you want to save your changes.
           If you don't save, then your changes
           will be discarded.
                  
                              [ No  ] [ Yes ]

Problems here:

 - The warning Icon makes it seem like saying
   yes will be confirming something dangerous.

 - There is mental confusion as to whether
   You are saying [Yes] to "save the changes"
   or "discard the changes".

 - There is no way to cancel. Both options 
   are "dangerous", and also, the user may
   well think of something else they want to 
   do.

It should be something like:

 [ Question ] Do you want to save the changes
              you made to your printer configuration?

              Your changes will be lost if you don't
              save them.

               [Don't save] [Cancel] [ Save ]

(Copying the wording from the gedit dialog, almost
exactly.)

After writing the above, I see the GNOME HIG has slightly
different suggested wording from the above for Save
confirmation alerts.

http://developer.gnome.org/projects/gup/hig/1.0/windows.html#alerts-confirmation

But in any case, it would be good to get rid of the Yes/No in favor 
of more definite buttons, add a cancel, and change the icon.
Comment 1 Tim Waugh 2003-01-20 06:38:31 EST
Not sure how to do 'cancel' from a delete-event handler.
Comment 2 Owen Taylor 2003-01-20 10:49:25 EST
delete-event handlers have a boolean return value:

 TRUE - I handled the delete-event, do nothing further
 FALSE - I didn't handle it, do the default processing (which
   is to destroy the window)
Comment 3 Bill Nottingham 2006-08-04 23:01:39 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 13:23:03 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.